lkml.org 
[lkml]   [2010]   [Nov]   [22]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 2.6.37-rc3 problems
On Sun, Nov 21, 2010 at 09:13:11PM -0800, Randy Dunlap wrote:
> On Sun, 21 Nov 2010 20:56:26 -0800 Randy Dunlap wrote:
>
> > On Sun, 21 Nov 2010 20:35:20 -0800 Greg KH wrote:
> >
> > > On Sun, Nov 21, 2010 at 11:20:40PM -0400, werner wrote:
> > > > 2.6.37-rc3 problems
> > > >
> > > > easycap_main.c lines 4251,4 : implicit declaration lock-kernel ,
> > > > unlock_kernel
> > > >
> > > > (compilation error)
> > >
> > > Either disable this driver from your .config, or enable the BKL in your
> > > .config. I have a pending patch to get to Linus to fix this Kconfig
> > > issue for this driver.
> >
> > The build error happens even when CONFIG_BKL=y. In fact, that's the only
> > way to enable EASYCAP, since EASYCAP depends on BKL.
>
> OTOH, adding <linux/smp_lock.h> to easycap.h fixes the build.

Ah, nice. Someone want to send me a patch? :)

thanks,

greg k-h


\
 
 \ /
  Last update: 2010-11-22 20:51    [from the cache]
©2003-2014 Jasper Spaans. Advertise on this site